
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  ></view-grid>
</template>
    <script>
import extend from "@/extension/basicinfo/router.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "批次管理",
      name: "batch",
      url: "/Batch/",
      sortName: "createDate"
    });
    const editFormFields = ref({});
    const editFormOptions = ref([
      [
        {
          title: "批次",
          required: true,
          field: "batch",
          type: "string"
        }
      ]
    ]);
    const searchFormFields = ref({
        batch: "",
        creater: ""
    });
    const searchFormOptions = ref([
      [
        {
          title: "批次",
          field: "batch",
          type: "like"
        },
        {
          title: "创建者",
          field: "creater",
          type: "like"
        }
      ]
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left"
      },
      {
        field: "inBatch",
        title: "入库批次号",
        type: "int",
        width: 100,
        align: "left"
      },
      {
        field: "outBatch",
        title: "出库批次号",
        type: "int",
        width: 100,
        align: "left"
      },
      {
        field: "materType",
        title: "物料信息",
        type: "string",
        width: 100,
        align: "left",
        bind: { key: "mateType", data: [] },
      },
      {
        field: "creater",
        title: "创建者",
        type: "string",
        width: 100,
        align: "left"
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left"
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left"
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left"
      }
    ]);
    const detail = ref({
      cnName: "",
      table: "",
      columns: [],
      sortName: "",
      key: ""
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail
    };
  }
});
</script>
    